{
  "schema_version": "1.4.0",
  "id": "GHSA-wxgh-95h6-c68v",
  "modified": "2022-08-26T00:03:31Z",
  "published": "2022-08-23T00:00:15Z",
  "aliases": [
    "CVE-2022-38171"
  ],
  "details": "Xpdf prior to version 4.04 contains an integer overflow in the JBIG2 decoder (JBIG2Stream::readSymbolDictSeg() in JBIG2Stream.cc). Processing a specially crafted PDF file or JBIG2 image could lead to a crash or the execution of arbitrary code. This is similar to the vulnerability described by CVE-2021-30860 (Apple CoreGraphics).",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2022-38171"
    },
    {
      "type": "WEB",
      "url": "https://dl.xpdfreader.com/old/xpdf-4.04.tar.gz"
    },
    {
      "type": "WEB",
      "url": "https://dl.xpdfreader.com/xpdf-4.04.tar.gz"
    },
    {
      "type": "WEB",
      "url": "https://gist.github.com/zmanion/b2ed0d1a0cec163ecd07d5e3d9740dc6"
    },
    {
      "type": "WEB",
      "url": "https://github.com/jeffssh/CVE-2021-30860"
    },
    {
      "type": "WEB",
      "url": "https://github.com/zmanion/Vulnerabilities/blob/main/CVE-2022-38171.md"
    },
    {
      "type": "WEB",
      "url": "https://googleprojectzero.blogspot.com/2021/12/a-deep-dive-into-nso-zero-click.html"
    },
    {
      "type": "WEB",
      "url": "https://www.cve.org/CVERecord?id=CVE-2021-30860"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2022/09/02/11"
    },
    {
      "type": "WEB",
      "url": "http://www.xpdfreader.com/security-fixes.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2022-08-22T19:15:00Z"
  }
}